/*
   Copyright Universite de Versailles Saint-Quentin en Yvelines 2009
   AUTHORS: Sebastien Briais, Sid-Ahmed-Ali Touati

   This file is part of SIRA.
   
   SIRA is free software: you can redistribute it and/or modify it
   under the terms of the GNU Lesser General Public License as
   published by the Free Software Foundation, either version 3 of the
   License, or (at your option) any later version.
   
   SIRA is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with SIRA.  If not, see
   <http://www.gnu.org/licenses/>.
*/

#include "param.h"
#include "util.h"

/** Initialise solver settings. 

    @param[in] settings = solver settings to initialise */
void SIRA_param_init(SIRA_Param *settings) {
  settings->ual_flag = FALSE;
  settings->bounded_flag = TRUE;
  settings->check_flag = TRUE;
}

/** Clean up the solver settings (it frees some memory).

    @param[in] settings = solver settings */
void SIRA_param_cleanup(SIRA_Param *settings) {
  memset(settings, 0, sizeof(SIRA_Param));
}
